<?php

namespace FiloBlu\Flow\Block\Adminhtml\Channel\Edit;

use Magento\Backend\Block\Widget\Form\Generic;

/**
 * Class Form
 * @package FiloBlu\Flow\Block\Adminhtml\Channel\Edit
 */
class Form extends Generic
{
    protected function _prepareForm()
    {
        /** @var \Magento\Framework\Data\Form $form */
        $form = $this->_formFactory->create(
            [
                'data' => [
                    'id'      => 'edit_form',
                    'action'  => $this->getUrl('*/*/save'),
                    'method'  => 'post',
                    'enctype' => 'multipart/form-data'
                ]
            ]
        );

        $form->setUseContainer(true);
        $this->setForm($form);
        return parent::_prepareForm();
    }
}
